API ReferenceTenants
Retrieve all tenant roles
Analytics Events
TENANT_ROLES_RETRIEVE_LIST_STARTTENANT_ROLES_RETRIEVE_LIST_SUCCESSTENANT_ROLES_RETRIEVE_LIST_FAIL
GET
/v1/tenants/rolesRetrieves all existing roles that can be assigned to a tenant member, with their associated permissions.
Analytic events
- TENANT_ROLES_RETRIEVE_LIST_START
- TENANT_ROLES_RETRIEVE_LIST_SUCCESS
- TENANT_ROLES_RETRIEVE_LIST_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Response Body
application/json
text/plain
curl -X GET "https://example.com/v1/tenants/roles"{ "roles": [ { "id": "string", "name": "string", "description": "string", "permissions": [ { "id": "string", "description": "string", "deprecated": true } ] } ]}How would you rate this page?
Retrieve tenants GET
Retrieves a list of all available tenants. If you haven't created any tenants, the response will include an empty array. ### **Analytic events** * TENANT_RETRIEVE_LIST_START * TENANT_RETRIEVE_LIST_SUCCESS * TENANT_RETRIEVE_LIST_FAIL
Retrieve tenant GET
Retrieves a tenant by its ID. ### **Analytic events** * TENANT_RETRIEVE_START * TENANT_RETRIEVE_SUCCESS * TENANT_RETRIEVE_FAIL